import{s as Yn,f as je,n as Qn,o as Vn}from"../chunks/scheduler.f6b352c8.js";import{S as Kn,i as Zn,g as o,s as l,r as u,A as ei,h as a,f as n,c as s,j as Nn,u as f,x as r,k as g,y as ti,a as i,v as m,d as h,t as p,w as d}from"../chunks/index.7f38e934.js";import{H as c}from"../chunks/Heading.333929c4.js";import{E as ni}from"../chunks/EditOnGithub.c3245a01.js";function ii(Qt){let w,Fe,Ae,qe,x,Ue,L,Vt='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',Se,C,Kt="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",We,H,Zt="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",Be,M,en="This first unit will help you onboard:",Ee,_,tn="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Ge,k,nn="Let’s get started!",Je,P,De,A,ln="In this course, you will:",ze,I,sn='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',Re,j,on="And more!",Oe,F,an="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",Xe,q,rn='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',Ne,U,un="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>",Ye,S,Qe,W,fn="The course is composed of:",Ve,B,gn='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',Ke,E,mn='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',Ze,G,hn='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',et,J,tt,D,pn="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",nt,z,dn='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">1.5</td> <td align="left">Bonus : Fine-tuning an LLM for function calling</td> <td align="left">Let’s use LoRa and fine-tune a model to perform function calling inside a notebook.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases (open to PRs 🤗 from experienced Agent builders)</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',it,R,cn="<em>We are also planning to release some bonus units, stay tuned!</em>",lt,O,st,X,wn="To be able to follow this course you should have a:",ot,N,vn="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",at,Y,rt,Q,$n="You only need 2 things:",ut,V,yn='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',ft,K,gt,v,Tn,mt,Z,bn="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",ht,ee,xn="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",pt,te,Ln="The certification process is <strong>completely free</strong>:",dt,ne,Cn="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",ct,ie,Hn="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",wt,$,Mn,vt,le,$t,se,_n="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",yt,oe,kn="Since there’s a deadline, we provide you a recommended pace:",Tt,y,Pn,bt,ae,xt,re,An="To get the most out of the course, we have some advice:",Lt,ue,In='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment..</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',Ct,T,jn,Ht,fe,Mt,ge,Fn="About the authors:",_t,me,kt,he,qn="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",Pt,pe,Un='<li><a href="https://huggingface.co/Jofthomas" rel="nofollow">Follow Joffrey on Hugging Face</a></li> <li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',At,de,It,ce,Sn="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",jt,we,Wn='<li><a href="https://huggingface.co/burtenshaw" rel="nofollow">Follow Ben on Hugging Face</a></li> <li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',Ft,ve,qt,$e,Bn='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Ut,ye,En='<li><a href="https://huggingface.co/ThomasSimonini" rel="nofollow">Follow Thomas on Hugging Face</a></li> <li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',St,Te,Wt,be,Gn="We would like to extend our gratitude to the following individuals for their invaluable contributions to this course:",Bt,xe,Jn='<li><strong><a href="https://huggingface.co/pcuenq" rel="nofollow">Pedro Cuenca</a></strong> – For his guidance and expertise in reviewing the materials</li> <li><strong><a href="https://huggingface.co/m-ric" rel="nofollow">Aymeric Roucher</a></strong> – For his amazing demo spaces ( decoding and final agent ).</li> <li><strong><a href="https://huggingface.co/Xenova" rel="nofollow">Joshua Lochner</a></strong> – For his amazing demo space on tokenization.</li>',Et,Le,Gt,Ce,Dn="Contributions are <strong>welcome</strong> 🤗",Jt,He,zn='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Dt,Me,zt,_e,Rn='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',Rt,ke,On="Now that you have all the information, let’s get on board ⛵",Ot,b,Xn,Xt,Pe,Nt,Ie,Yt;return x=new c({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),P=new c({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),S=new c({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),J=new c({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),O=new c({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),Y=new c({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),K=new c({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),le=new c({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),ae=new c({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),fe=new c({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),me=new c({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),de=new c({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),ve=new c({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),Te=new c({props:{title:"Acknowledgments",local:"acknowledgments",headingTag:"h2"}}),Le=new c({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Me=new c({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),Pe=new ni({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Fe=l(),Ae=o("p"),qe=l(),u(x.$$.fragment),Ue=l(),L=o("figure"),L.innerHTML=Vt,Se=l(),C=o("p"),C.innerHTML=Kt,We=l(),H=o("p"),H.innerHTML=Zt,Be=l(),M=o("p"),M.textContent=en,Ee=l(),_=o("ul"),_.innerHTML=tn,Ge=l(),k=o("p"),k.textContent=nn,Je=l(),u(P.$$.fragment),De=l(),A=o("p"),A.textContent=ln,ze=l(),I=o("ul"),I.innerHTML=sn,Re=l(),j=o("p"),j.textContent=on,Oe=l(),F=o("p"),F.innerHTML=an,Xe=l(),q=o("p"),q.innerHTML=rn,Ne=l(),U=o("p"),U.innerHTML=un,Ye=l(),u(S.$$.fragment),Qe=l(),W=o("p"),W.textContent=fn,Ve=l(),B=o("ul"),B.innerHTML=gn,Ke=l(),E=o("p"),E.innerHTML=mn,Ze=l(),G=o("p"),G.innerHTML=hn,et=l(),u(J.$$.fragment),tt=l(),D=o("p"),D.innerHTML=pn,nt=l(),z=o("table"),z.innerHTML=dn,it=l(),R=o("p"),R.innerHTML=cn,lt=l(),u(O.$$.fragment),st=l(),X=o("p"),X.textContent=wn,ot=l(),N=o("ul"),N.innerHTML=vn,at=l(),u(Y.$$.fragment),rt=l(),Q=o("p"),Q.textContent=$n,ut=l(),V=o("ul"),V.innerHTML=yn,ft=l(),u(K.$$.fragment),gt=l(),v=o("img"),mt=l(),Z=o("p"),Z.innerHTML=bn,ht=l(),ee=o("p"),ee.innerHTML=xn,pt=l(),te=o("p"),te.innerHTML=Ln,dt=l(),ne=o("ul"),ne.innerHTML=Cn,ct=l(),ie=o("p"),ie.innerHTML=Hn,wt=l(),$=o("img"),vt=l(),u(le.$$.fragment),$t=l(),se=o("p"),se.innerHTML=_n,yt=l(),oe=o("p"),oe.textContent=kn,Tt=l(),y=o("img"),bt=l(),u(ae.$$.fragment),xt=l(),re=o("p"),re.textContent=An,Lt=l(),ue=o("ol"),ue.innerHTML=In,Ct=l(),T=o("img"),Ht=l(),u(fe.$$.fragment),Mt=l(),ge=o("p"),ge.textContent=Fn,_t=l(),u(me.$$.fragment),kt=l(),he=o("p"),he.textContent=qn,Pt=l(),pe=o("ul"),pe.innerHTML=Un,At=l(),u(de.$$.fragment),It=l(),ce=o("p"),ce.textContent=Sn,jt=l(),we=o("ul"),we.innerHTML=Wn,Ft=l(),u(ve.$$.fragment),qt=l(),$e=o("p"),$e.innerHTML=Bn,Ut=l(),ye=o("ul"),ye.innerHTML=En,St=l(),u(Te.$$.fragment),Wt=l(),be=o("p"),be.textContent=Gn,Bt=l(),xe=o("ul"),xe.innerHTML=Jn,Et=l(),u(Le.$$.fragment),Gt=l(),Ce=o("p"),Ce.innerHTML=Dn,Jt=l(),He=o("ul"),He.innerHTML=zn,Dt=l(),u(Me.$$.fragment),zt=l(),_e=o("p"),_e.innerHTML=Rn,Rt=l(),ke=o("p"),ke.textContent=On,Ot=l(),b=o("img"),Xt=l(),u(Pe.$$.fragment),Nt=l(),Ie=o("p"),this.h()},l(e){const t=ei("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(n),Fe=s(e),Ae=a(e,"P",{}),Nn(Ae).forEach(n),qe=s(e),f(x.$$.fragment,e),Ue=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=Vt),Se=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=Kt),We=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=Zt),Be=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=en),Ee=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=tn),Ge=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-4b3xjd"&&(k.textContent=nn),Je=s(e),f(P.$$.fragment,e),De=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-f2qxb3"&&(A.textContent=ln),ze=s(e),I=a(e,"UL",{"data-svelte-h":!0}),r(I)!=="svelte-dt96yw"&&(I.innerHTML=sn),Re=s(e),j=a(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-t67g99"&&(j.textContent=on),Oe=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-rxvjyt"&&(F.innerHTML=an),Xe=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-5ioa44"&&(q.innerHTML=rn),Ne=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-z7umi9"&&(U.innerHTML=un),Ye=s(e),f(S.$$.fragment,e),Qe=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-1ee6w8b"&&(W.textContent=fn),Ve=s(e),B=a(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-1r4t4vj"&&(B.innerHTML=gn),Ke=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1bts4d3"&&(E.innerHTML=mn),Ze=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-16fokxm"&&(G.innerHTML=hn),et=s(e),f(J.$$.fragment,e),tt=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-qhjxsa"&&(D.innerHTML=pn),nt=s(e),z=a(e,"TABLE",{"data-svelte-h":!0}),r(z)!=="svelte-1o9r22p"&&(z.innerHTML=dn),it=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1aqi5y9"&&(R.innerHTML=cn),lt=s(e),f(O.$$.fragment,e),st=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-kqo70s"&&(X.textContent=wn),ot=s(e),N=a(e,"UL",{"data-svelte-h":!0}),r(N)!=="svelte-1o8em9l"&&(N.innerHTML=vn),at=s(e),f(Y.$$.fragment,e),rt=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-17wttjy"&&(Q.textContent=$n),ut=s(e),V=a(e,"UL",{"data-svelte-h":!0}),r(V)!=="svelte-l2nc5g"&&(V.innerHTML=yn),ft=s(e),f(K.$$.fragment,e),gt=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),mt=s(e),Z=a(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-knl2ed"&&(Z.innerHTML=bn),ht=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1kpr9m4"&&(ee.innerHTML=xn),pt=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-1ybbpoz"&&(te.innerHTML=Ln),dt=s(e),ne=a(e,"UL",{"data-svelte-h":!0}),r(ne)!=="svelte-1mkaw8h"&&(ne.innerHTML=Cn),ct=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-1roe7pg"&&(ie.innerHTML=Hn),wt=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),vt=s(e),f(le.$$.fragment,e),$t=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-16x0fhq"&&(se.innerHTML=_n),yt=s(e),oe=a(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-1emjga4"&&(oe.textContent=kn),Tt=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),bt=s(e),f(ae.$$.fragment,e),xt=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-822ilm"&&(re.textContent=An),Lt=s(e),ue=a(e,"OL",{"data-svelte-h":!0}),r(ue)!=="svelte-1h04lcm"&&(ue.innerHTML=In),Ct=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ht=s(e),f(fe.$$.fragment,e),Mt=s(e),ge=a(e,"P",{"data-svelte-h":!0}),r(ge)!=="svelte-1qyo5w8"&&(ge.textContent=Fn),_t=s(e),f(me.$$.fragment,e),kt=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-jk5ik2"&&(he.textContent=qn),Pt=s(e),pe=a(e,"UL",{"data-svelte-h":!0}),r(pe)!=="svelte-wu2u0z"&&(pe.innerHTML=Un),At=s(e),f(de.$$.fragment,e),It=s(e),ce=a(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-yjqhaj"&&(ce.textContent=Sn),jt=s(e),we=a(e,"UL",{"data-svelte-h":!0}),r(we)!=="svelte-1vlxpb2"&&(we.innerHTML=Wn),Ft=s(e),f(ve.$$.fragment,e),qt=s(e),$e=a(e,"P",{"data-svelte-h":!0}),r($e)!=="svelte-10mjr36"&&($e.innerHTML=Bn),Ut=s(e),ye=a(e,"UL",{"data-svelte-h":!0}),r(ye)!=="svelte-pmrlrk"&&(ye.innerHTML=En),St=s(e),f(Te.$$.fragment,e),Wt=s(e),be=a(e,"P",{"data-svelte-h":!0}),r(be)!=="svelte-1g13y94"&&(be.textContent=Gn),Bt=s(e),xe=a(e,"UL",{"data-svelte-h":!0}),r(xe)!=="svelte-5kctyl"&&(xe.innerHTML=Jn),Et=s(e),f(Le.$$.fragment,e),Gt=s(e),Ce=a(e,"P",{"data-svelte-h":!0}),r(Ce)!=="svelte-nxego7"&&(Ce.innerHTML=Dn),Jt=s(e),He=a(e,"UL",{"data-svelte-h":!0}),r(He)!=="svelte-1lujafl"&&(He.innerHTML=zn),Dt=s(e),f(Me.$$.fragment,e),zt=s(e),_e=a(e,"P",{"data-svelte-h":!0}),r(_e)!=="svelte-1qqh474"&&(_e.innerHTML=Rn),Rt=s(e),ke=a(e,"P",{"data-svelte-h":!0}),r(ke)!=="svelte-gbc6aj"&&(ke.textContent=On),Ot=s(e),b=a(e,"IMG",{src:!0,alt:!0,width:!0}),Xt=s(e),f(Pe.$$.fragment,e),Nt=s(e),Ie=a(e,"P",{}),Nn(Ie).forEach(n),this.h()},h(){g(w,"name","hf:doc:metadata"),g(w,"content",li),je(v.src,Tn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||g(v,"src",Tn),g(v,"alt","Two paths"),g(v,"width","100%"),je($.src,Mn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||g($,"src",Mn),g($,"alt","Deadline"),g($,"width","100%"),je(y.src,Pn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||g(y,"src",Pn),g(y,"alt","Recommended Pace"),g(y,"width","100%"),je(T.src,jn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||g(T,"src",jn),g(T,"alt","Course advice"),g(T,"width","100%"),je(b.src,Xn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||g(b,"src",Xn),g(b,"alt","Time to Onboard"),g(b,"width","100%")},m(e,t){ti(document.head,w),i(e,Fe,t),i(e,Ae,t),i(e,qe,t),m(x,e,t),i(e,Ue,t),i(e,L,t),i(e,Se,t),i(e,C,t),i(e,We,t),i(e,H,t),i(e,Be,t),i(e,M,t),i(e,Ee,t),i(e,_,t),i(e,Ge,t),i(e,k,t),i(e,Je,t),m(P,e,t),i(e,De,t),i(e,A,t),i(e,ze,t),i(e,I,t),i(e,Re,t),i(e,j,t),i(e,Oe,t),i(e,F,t),i(e,Xe,t),i(e,q,t),i(e,Ne,t),i(e,U,t),i(e,Ye,t),m(S,e,t),i(e,Qe,t),i(e,W,t),i(e,Ve,t),i(e,B,t),i(e,Ke,t),i(e,E,t),i(e,Ze,t),i(e,G,t),i(e,et,t),m(J,e,t),i(e,tt,t),i(e,D,t),i(e,nt,t),i(e,z,t),i(e,it,t),i(e,R,t),i(e,lt,t),m(O,e,t),i(e,st,t),i(e,X,t),i(e,ot,t),i(e,N,t),i(e,at,t),m(Y,e,t),i(e,rt,t),i(e,Q,t),i(e,ut,t),i(e,V,t),i(e,ft,t),m(K,e,t),i(e,gt,t),i(e,v,t),i(e,mt,t),i(e,Z,t),i(e,ht,t),i(e,ee,t),i(e,pt,t),i(e,te,t),i(e,dt,t),i(e,ne,t),i(e,ct,t),i(e,ie,t),i(e,wt,t),i(e,$,t),i(e,vt,t),m(le,e,t),i(e,$t,t),i(e,se,t),i(e,yt,t),i(e,oe,t),i(e,Tt,t),i(e,y,t),i(e,bt,t),m(ae,e,t),i(e,xt,t),i(e,re,t),i(e,Lt,t),i(e,ue,t),i(e,Ct,t),i(e,T,t),i(e,Ht,t),m(fe,e,t),i(e,Mt,t),i(e,ge,t),i(e,_t,t),m(me,e,t),i(e,kt,t),i(e,he,t),i(e,Pt,t),i(e,pe,t),i(e,At,t),m(de,e,t),i(e,It,t),i(e,ce,t),i(e,jt,t),i(e,we,t),i(e,Ft,t),m(ve,e,t),i(e,qt,t),i(e,$e,t),i(e,Ut,t),i(e,ye,t),i(e,St,t),m(Te,e,t),i(e,Wt,t),i(e,be,t),i(e,Bt,t),i(e,xe,t),i(e,Et,t),m(Le,e,t),i(e,Gt,t),i(e,Ce,t),i(e,Jt,t),i(e,He,t),i(e,Dt,t),m(Me,e,t),i(e,zt,t),i(e,_e,t),i(e,Rt,t),i(e,ke,t),i(e,Ot,t),i(e,b,t),i(e,Xt,t),m(Pe,e,t),i(e,Nt,t),i(e,Ie,t),Yt=!0},p:Qn,i(e){Yt||(h(x.$$.fragment,e),h(P.$$.fragment,e),h(S.$$.fragment,e),h(J.$$.fragment,e),h(O.$$.fragment,e),h(Y.$$.fragment,e),h(K.$$.fragment,e),h(le.$$.fragment,e),h(ae.$$.fragment,e),h(fe.$$.fragment,e),h(me.$$.fragment,e),h(de.$$.fragment,e),h(ve.$$.fragment,e),h(Te.$$.fragment,e),h(Le.$$.fragment,e),h(Me.$$.fragment,e),h(Pe.$$.fragment,e),Yt=!0)},o(e){p(x.$$.fragment,e),p(P.$$.fragment,e),p(S.$$.fragment,e),p(J.$$.fragment,e),p(O.$$.fragment,e),p(Y.$$.fragment,e),p(K.$$.fragment,e),p(le.$$.fragment,e),p(ae.$$.fragment,e),p(fe.$$.fragment,e),p(me.$$.fragment,e),p(de.$$.fragment,e),p(ve.$$.fragment,e),p(Te.$$.fragment,e),p(Le.$$.fragment,e),p(Me.$$.fragment,e),p(Pe.$$.fragment,e),Yt=!1},d(e){e&&(n(Fe),n(Ae),n(qe),n(Ue),n(L),n(Se),n(C),n(We),n(H),n(Be),n(M),n(Ee),n(_),n(Ge),n(k),n(Je),n(De),n(A),n(ze),n(I),n(Re),n(j),n(Oe),n(F),n(Xe),n(q),n(Ne),n(U),n(Ye),n(Qe),n(W),n(Ve),n(B),n(Ke),n(E),n(Ze),n(G),n(et),n(tt),n(D),n(nt),n(z),n(it),n(R),n(lt),n(st),n(X),n(ot),n(N),n(at),n(rt),n(Q),n(ut),n(V),n(ft),n(gt),n(v),n(mt),n(Z),n(ht),n(ee),n(pt),n(te),n(dt),n(ne),n(ct),n(ie),n(wt),n($),n(vt),n($t),n(se),n(yt),n(oe),n(Tt),n(y),n(bt),n(xt),n(re),n(Lt),n(ue),n(Ct),n(T),n(Ht),n(Mt),n(ge),n(_t),n(kt),n(he),n(Pt),n(pe),n(At),n(It),n(ce),n(jt),n(we),n(Ft),n(qt),n($e),n(Ut),n(ye),n(St),n(Wt),n(be),n(Bt),n(xe),n(Et),n(Gt),n(Ce),n(Jt),n(He),n(Dt),n(zt),n(_e),n(Rt),n(ke),n(Ot),n(b),n(Xt),n(Nt),n(Ie)),n(w),d(x,e),d(P,e),d(S,e),d(J,e),d(O,e),d(Y,e),d(K,e),d(le,e),d(ae,e),d(fe,e),d(me,e),d(de,e),d(ve,e),d(Te,e),d(Le,e),d(Me,e),d(Pe,e)}}}const li='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"Acknowledgments","local":"acknowledgments","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function si(Qt){return Vn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class fi extends Kn{constructor(w){super(),Zn(this,w,si,ii,Yn,{})}}export{fi as component};
